diff --git a/lib/hive/stages/review.rb b/lib/hive/stages/review.rb
index 7ca0fb20..7fc3d764 100644
--- a/lib/hive/stages/review.rb
+++ b/lib/hive/stages/review.rb
@@ -18,6 +18,7 @@ require "hive/reviewers"
 require "hive/agent_profiles"
 require "hive/stages/review/context"
 require "hive/stages/review/orchestrator_owned"
+require "hive/stages/review/completion_evidence"
 require "hive/stages/review/suppression"
 require "hive/stages/review/ci_fix"
 require "hive/stages/review/triage"
@@ -127,6 +128,10 @@ module Hive
         # exits (return, raise, or system_exit), so events.jsonl
         # readers always see balanced brackets.
         @open_phase_event = nil
+        # Default ensure close is incomplete; success paths set :complete so
+        # a green REVIEW_COMPLETE / accepted terminal exit does not audit as
+        # "phase ended without accepted completion".
+        @phase_close_outcome = :incomplete
 
         # Pre-flight terminal markers
         marker = Hive::Markers.current(task.state_file)
@@ -581,8 +586,16 @@ module Hive
           ]
           before_fix_sha = Hive::ProtectedFiles.snapshot(task.folder, protected_set)
           before_fix_head = git_head(worktree_path)
+          completion_binding = Hive::Stages::Review::CompletionEvidence.prepare!(
+            task: task,
+            ctx: ctx_pass,
+            accepted_findings: accepted_findings.count,
+            baseline_head: before_fix_head
+          )
+          @fix_completion_binding = completion_binding
 
           fix_result = spawn_fix_agent(task, cfg, ctx_pass, accepted: accepted)
+          @fix_completion_binding = nil
           after_fix_sha = Hive::ProtectedFiles.snapshot(task.folder, protected_set)
           after_fix_head = git_head(worktree_path)
 
@@ -633,6 +646,39 @@ module Hive
                      status: :review_error }
           end
 
+          # The launcher only returns this shape after it observed a retained
+          # tmux pane die with status 0.  That is process evidence, not
+          # review success: bind it to a nonce-bound result, current review
+          # inputs, commit/no-change proof, and readable git state before the
+          # ordinary guardrail/re-review path may continue.
+          if fix_result[:status] == :fallback_candidate
+            completion = Hive::Stages::Review::CompletionEvidence.evaluate(
+              task: task,
+              ctx: ctx_pass,
+              binding: completion_binding,
+              observation: fix_result[:completion_observation],
+              worktree_path: worktree_path,
+              wrapper_completion_recorded: true
+            )
+            unless completion.accepted
+              mark_review_phase_failure(
+                task, phase: :fix, terminal_reason: "fix_failed", pass: pass,
+                error_message: fix_result[:completion_observation]&.fetch(:missing_signal_reason, nil) ||
+                  completion.reason
+              )
+              return { commit: "fix_error_pass_#{format('%02d', pass)}", status: :review_error }
+            end
+
+            unless close_phase_event!(task, outcome: :fallback)
+              mark_review_phase_failure(
+                task, phase: :fix, terminal_reason: "fix_failed", pass: pass,
+                error_message: "review wrapper could not record verified fallback completion"
+              )
+              return { commit: "fix_error_pass_#{format('%02d', pass)}", status: :review_error }
+            end
+            emit_claude_completion_fallback(task, ctx_pass, fix_result[:completion_observation], completion)
+          end
+
           # Post-fix diff guardrail (U13 stub today).
           guardrail = Hive::Stages::Review::FixGuardrail.run!(
             cfg: cfg, ctx: ctx_pass,
@@ -684,6 +730,7 @@ module Hive
         when :passed, :skipped, :warned
           Hive::Markers.set(task.state_file, :review_complete,
                             pass: pass, browser: browser_result.status)
+          @phase_close_outcome = :complete
           { commit: "review_complete_browser_#{browser_result.status}_pass_#{format('%02d', pass)}",
             status: :review_complete }
         else
@@ -738,9 +785,11 @@ module Hive
       ensure
         # Close the last open phase event on any exit path (return,
         # rescue, SystemExit) so the events.jsonl bracket structure
-        # stays balanced. Swallow failures here — a torn events file
-        # must not mask the underlying control-flow result/exception.
-        close_phase_event!(task) if @open_phase_event
+        # stays balanced. Outcome is tracked so a green REVIEW_COMPLETE
+        # does not audit as "without accepted completion". Swallow
+        # failures here — a torn events file must not mask the
+        # underlying control-flow result/exception.
+        close_phase_event!(task, outcome: @phase_close_outcome || :incomplete) if @open_phase_event
       end
 
       # Marker attr values are scanned by `hive status --json` and read by
@@ -836,7 +885,7 @@ module Hive
         # Hive::Agent#run! — those use the profile name + log_label
         # ("claude review-stub-reviewer-pass01") and are distinguishable
         # from the phase-level pair ("phase=reviewers pass=01").
-        close_phase_event!(task) if @open_phase_event
+        close_phase_event!(task, outcome: :complete) if @open_phase_event
         label = "phase=#{phase} pass=#{format('%02d', pass)}"
         @open_phase_event = {
           task: task,
@@ -853,23 +902,58 @@ module Hive
         )
       end
 
-      def close_phase_event!(_task = nil)
+      def close_phase_event!(_task = nil, outcome: :incomplete)
         return unless @open_phase_event
 
         open = @open_phase_event
         @open_phase_event = nil
-        Hive::Events.emit(
+        message = case outcome
+                  when :complete
+                    "phase complete"
+                  when :fallback
+                    "phase complete via verified Claude completion fallback"
+                  else
+                    "phase ended without accepted completion"
+                  end
+        !Hive::Events.emit(
           task_folder: open[:task].folder,
           slug: open[:task].slug,
           stage: open[:stage],
           event_type: :agent_end,
           agent: open[:label],
-          message: "phase complete"
-        )
+          message: message
+        ).nil?
       rescue SystemCallError, IOError, JSON::JSONError
         # Closing the phase event must never mask the underlying control
         # flow's result on a torn events file. Narrow rescue lets genuine
         # call-site bugs (NoMethodError, NameError, ArgumentError) surface.
+        false
+      end
+
+      def emit_claude_completion_fallback(task, ctx, observation, completion)
+        Hive::Events.emit(
+          task_folder: task.folder,
+          slug: task.slug,
+          stage: stage_label_for(task),
+          event_type: :claude_completion_fallback,
+          level: :warn,
+          agent: "phase=fix pass=#{format('%02d', ctx.pass)}",
+          message: "verified missing Stop-hook completion fallback",
+          metadata: {
+            phase: "fix",
+            pass: ctx.pass,
+            pid: observation[:pid],
+            session: observation[:session],
+            sentinel: observation[:expected_sentinel_path],
+            missing_signal_reason: observation[:missing_signal_reason],
+            process_exit_code: observation[:process_exit_code],
+            artifacts_checked: completion.artifacts_checked,
+            commit_sha: completion.head,
+            no_change_evidence: completion.no_change_evidence || [],
+            task_slug: task.slug
+          }
+        )
+      rescue SystemCallError, IOError, JSON::JSONError
         nil
       end
 
@@ -1826,6 +1910,14 @@ module Hive
           hive_state_dir: Hive::Stages::Base.hive_state_dir_for_task_folder(ctx.task_folder)
         )
 
+        completion = @fix_completion_binding || {
+          path: Hive::Stages::Review::CompletionEvidence.result_path(ctx.task_folder, ctx.pass),
+          nonce: "direct-spawn-no-fallback",
+          baseline_head: git_head(ctx.worktree_path),
+          accepted_findings: 0,
+          slug: task.slug,
+          pass: ctx.pass
+        }
         prompt = Hive::Stages::Base.render_resolved_path(
           template_path,
           Hive::Stages::Base::TemplateBindings.new(
@@ -1837,6 +1929,10 @@ module Hive
             task_slug: task.slug,
             triage_bias: triage_bias_for(cfg),
             reviewer_sources: reviewer_sources_for(ctx),
+            fix_result_path: completion.fetch(:path),
+            fix_result_nonce: completion.fetch(:nonce),
+            fix_baseline_head: completion.fetch(:baseline_head),
+            accepted_findings_count: completion.fetch(:accepted_findings),
             user_supplied_tag: Hive::Stages::Base.user_supplied_tag
           )
         )
@@ -1849,6 +1945,7 @@ module Hive
           timeout_sec: cfg.dig("timeout_sec", "review_fix") || 2700,
           log_label: "review-fix-pass#{format('%02d', ctx.pass)}",
           profile: profile,
+          expected_output: completion.fetch(:path),
           **Hive::Stages::Base.tool_scope_kwargs(scope),
           status_mode: :exit_code_only
         }
@@ -1857,7 +1954,8 @@ module Hive
             task,
             cfg,
             **kwargs,
-            session_name: Hive::ClaudeLauncher.tmux_session_name("6-review-fix-pass#{ctx.pass}", task)
+            session_name: Hive::ClaudeLauncher.tmux_session_name("6-review-fix-pass#{ctx.pass}", task),
+            completion_verifier: ->(_observation) { :defer }
           )
         else
           Hive::Stages::Base.spawn_agent(task, **kwargs)
diff --git a/lib/hive/stages/review/completion_evidence.rb b/lib/hive/stages/review/completion_evidence.rb
new file mode 100644
index 00000000..3a20906a
--- /dev/null
+++ b/lib/hive/stages/review/completion_evidence.rb
@@ -0,0 +1,212 @@
+require "json"
+require "open3"
+require "securerandom"
+
+module Hive
+  module Stages
+    module Review
+      # Strict parser and evaluator for the result a Phase-4 fix agent writes
+      # when a Claude Stop hook signal is absent.  This is intentionally a
+      # leaf module: the launcher owns process observations, while Review owns
+      # the domain proof (review inputs, git state, and fix/no-change claims).
+      module CompletionEvidence
+        SCHEMA_VERSION = 1
+        MAX_RESULT_BYTES = 64 * 1024
+        RESULT_PREFIX = "fix-result".freeze
+        REQUIRED_KEYS = %w[
+          schema_version slug pass nonce baseline_head accepted_findings
+          outcome resolutions
+        ].freeze
+        OUTCOMES = %w[changed no_changes_needed].freeze
+        RESOLUTION_KEYS = %w[finding status detail].freeze
+        Result = Data.define(
+          :path, :schema_version, :slug, :pass, :nonce, :baseline_head,
+          :accepted_findings, :outcome, :resolutions
+        )
+        Evaluation = Data.define(
+          :accepted, :reason, :result, :head, :artifacts_checked,
+          :no_change_evidence
+        )
+
+        module_function
+
+        def result_path(task_folder, pass)
+          File.join(task_folder, "reviews", "#{RESULT_PREFIX}-#{format('%02d', pass)}.json")
+        end
+
+        # Delete the old pass artifact before every spawn and bind the new one
+        # to fresh task/pass/HEAD data.  Refuse symlinks instead of following
+        # them: the agent may write this exact path, never an arbitrary file.
+        def prepare!(task:, ctx:, accepted_findings:, baseline_head:)
+          path = result_path(ctx.task_folder, ctx.pass)
+          remove_prior_result!(path)
+          {
+            path: path,
+            nonce: SecureRandom.hex(16),
+            baseline_head: baseline_head,
+            accepted_findings: accepted_findings.to_i,
+            slug: task.slug,
+            pass: ctx.pass
+          }
+        end
+
+        def remove_prior_result!(path)
+          stat = File.lstat(path)
+          raise ArgumentError, "refusing to replace symlinked fix result #{path}" if stat.symlink?
+
+          File.delete(path)
+        rescue Errno::ENOENT
+          nil
+        end
+
+        def evaluate(task:, ctx:, binding:, observation:, worktree_path:,
+                     wrapper_completion_recorded:)
+          return rejected("process exit was not observed as zero") unless observation.is_a?(Hash) &&
+                                                                  observation[:process_exit_code] == 0
+          return rejected("review wrapper did not record normal completion") unless wrapper_completion_recorded
+
+          result = parse_result(
+            binding.fetch(:path), slug: binding.fetch(:slug), pass: binding.fetch(:pass),
+            nonce: binding.fetch(:nonce), baseline_head: binding.fetch(:baseline_head),
+            accepted_findings: binding.fetch(:accepted_findings)
+          )
+          return rejected(result) if result.is_a?(String)
+
+          git = readable_git_state(worktree_path, binding.fetch(:baseline_head))
+          return rejected(git) if git.is_a?(String)
+          return rejected("reviewer infrastructure error remains") if File.exist?(errors_path(ctx))
+          return rejected("accepted review inputs are missing") unless reviewer_inputs_present?(ctx)
+          return rejected("unanswered escalation remains") if unanswered_escalation?(ctx)
+
+          head = git.fetch(:head)
+          clean = git.fetch(:clean)
+          descendant = git.fetch(:descendant)
+          case result.outcome
+          when "changed"
+            return rejected("changed result did not create a descendant commit") if head == result.baseline_head || !descendant
+            return rejected("changed result left a dirty worktree") unless clean
+          when "no_changes_needed"
+            return rejected("no-change result changed HEAD") unless head == result.baseline_head
+            return rejected("no-change result left a dirty worktree") unless clean
+            return rejected("no-change result does not account for all accepted findings") unless no_change_resolutions_complete?(result)
+          end
+
+          Evaluation.new(
+            accepted: true,
+            reason: nil,
+            result: result,
+            head: head,
+            artifacts_checked: artifact_names(ctx, result.path),
+            no_change_evidence: result.outcome == "no_changes_needed" ? result.resolutions.map { |r| r.fetch("detail") } : nil
+          )
+        rescue KeyError, SystemCallError, IOError => e
+          rejected("completion evidence could not be read: #{e.message}")
+        end
+
+        def parse_result(path, slug:, pass:, nonce:, baseline_head:, accepted_findings:)
+          stat = File.lstat(path)
+          return "fix result is not a regular file" unless stat.file? && !stat.symlink?
+          return "fix result is empty or oversized" unless stat.size.positive? && stat.size <= MAX_RESULT_BYTES
+
+          data = JSON.parse(File.read(path))
+          return "fix result must be a JSON object" unless data.is_a?(Hash)
+          return "fix result has unknown or missing keys" unless data.keys.sort == REQUIRED_KEYS.sort
+          return "fix result has an unsupported schema version" unless data["schema_version"] == SCHEMA_VERSION
+          return "fix result binding does not match this fix pass" unless data["slug"] == slug &&
+                                                                       data["pass"] == pass &&
+                                                                       data["nonce"] == nonce &&
+                                                                       data["baseline_head"] == baseline_head &&
+                                                                       data["accepted_findings"] == accepted_findings
+          return "fix result declares an invalid outcome" unless OUTCOMES.include?(data["outcome"])
+          return "fix result resolutions are malformed" unless valid_resolutions?(data["resolutions"], accepted_findings)
+
+          Result.new(path: path, **data.transform_keys(&:to_sym))
+        rescue JSON::ParserError
+          "fix result is not valid JSON"
+        rescue Errno::ENOENT
+          "fix result is missing"
+        end
+
+        def valid_resolutions?(resolutions, accepted_findings)
+          return false unless resolutions.is_a?(Array) && resolutions.length == accepted_findings
+
+          resolutions.each_with_index.all? do |resolution, index|
+            resolution.is_a?(Hash) && resolution.keys.sort == RESOLUTION_KEYS.sort &&
+              resolution["finding"] == index + 1 &&
+              %w[addressed already_resolved].include?(resolution["status"]) &&
+              resolution["detail"].is_a?(String) && !resolution["detail"].strip.empty? &&
+              resolution["detail"].bytesize <= 2_000
+          end
+        end
+
+        # The clean / descendant claim is bound to the baseline captured
+        # before the fix spawn, rather than to a moving worktree HEAD.
+        def readable_git_state(worktree_path, baseline_head = nil)
+          head, head_status = git(worktree_path, "rev-parse", "--verify", "HEAD")
+          return "worktree HEAD is unreadable" unless head_status&.success?
+          status, status_result = git(worktree_path, "status", "--porcelain")
+          return "worktree status is unreadable" unless status_result&.success?
+          _out, ancestry_status = git(worktree_path, "merge-base", "--is-ancestor", baseline_head, head.strip)
+          return "worktree ancestry is unreadable" unless ancestry_status && [ 0, 1 ].include?(ancestry_status.exitstatus)
+
+          { head: head.strip, clean: status.empty?, descendant: ancestry_status.success? }
+        end
+
+        def git(worktree_path, *args)
+          out, _err, status = Open3.capture3("git", "-C", worktree_path, *args)
+          [ out, status ]
+        rescue SystemCallError
+          [ nil, nil ]
+        end
+
+        def reviewer_inputs_present?(ctx)
+          suffix = format("%02d", ctx.pass)
+          reviewers = Dir[File.join(ctx.task_folder, "reviews", "*-#{suffix}.md")]
+                        .select { |path| Hive::Stages::Review.reviewer_file?(File.basename(path)) }
+          !reviewers.empty? && File.file?(escalations_path(ctx))
+        end
+
+        def unanswered_escalation?(ctx)
+          lines = File.readlines(escalations_path(ctx), chomp: true)
+          return true if lines.any? { |line| line.match?(/^\s*-\s+\[\s*\]\s+/) }
+
+          answer_indexes = lines.each_index.select { |i| lines[i].match?(/^###\s+A\d+\.\s*$/) }
+          answer_indexes.any? do |index|
+            following = lines[(index + 1)..] || []
+            following = following.take_while { |line| !line.match?(/^###\s+[QA]\d+\./) }
+            following.none? { |line| !line.strip.empty? }
+          end
+        rescue SystemCallError, IOError
+          true
+        end
+
+        def no_change_resolutions_complete?(result)
+          result.resolutions.all? { |resolution| resolution.fetch("status") == "already_resolved" }
+        end
+
+        def errors_path(ctx)
+          File.join(ctx.task_folder, "reviews", "errors-#{format('%02d', ctx.pass)}.md")
+        end
+
+        def escalations_path(ctx)
+          File.join(ctx.task_folder, "reviews", "escalations-#{format('%02d', ctx.pass)}.md")
+        end
+
+        def artifact_names(ctx, result_path)
+          # errors-NN.md is required to be absent on accept; name it so
+          # heal/audit logs do not read as if the error file was present.
+          [
+            File.basename(result_path),
+            File.basename(escalations_path(ctx)),
+            "absent:#{File.basename(errors_path(ctx))}"
+          ]
+        end
+
+        def rejected(reason)
+          Evaluation.new(accepted: false, reason: reason.to_s, result: nil, head: nil,
+                         artifacts_checked: [], no_change_evidence: nil)
+        end
+      end
+    end
+  end
+end
diff --git a/lib/hive/stages/review/orchestrator_owned.rb b/lib/hive/stages/review/orchestrator_owned.rb
index 50cceca9..4a1343c0 100644
--- a/lib/hive/stages/review/orchestrator_owned.rb
+++ b/lib/hive/stages/review/orchestrator_owned.rb
@@ -23,6 +23,7 @@ module Hive
         browser-
         fix-guardrail-
         fix-success-
+        fix-result-
         errors-
         suppressed.
       ].freeze
diff --git a/lib/hive/tmux_runner.rb b/lib/hive/tmux_runner.rb
index 0133c160..3e443132 100644
--- a/lib/hive/tmux_runner.rb
+++ b/lib/hive/tmux_runner.rb
@@ -33,6 +33,20 @@ module Hive
     PROMPT_SETTLE_CAPTURE_BYTES = 4096
     DEFAULT_COMMAND_TIMEOUT_SEC = 10.0
 
+    # A managed pane is deliberately retained after Claude exits so a caller
+    # can inspect tmux's own exit status.  An idle prompt is not completion
+    # evidence; only a dead pane with this retained status can prove a clean
+    # fallback completion when a Stop hook signal is missing.
+    PaneState = Data.define(:state, :exit_status, :pid) do
+      def running?
+        state == :running
+      end
+
+      def dead?
+        state == :dead
+      end
+    end
+
     attr_reader :name, :cwd, :env
 
     def initialize(name:, cwd:, env: {}, tmux_bin: "tmux", socket_name: nil)
@@ -44,7 +58,7 @@ module Hive
     end
 
     def start_detached(command:)
-      command_string = command.is_a?(Array) ? Shellwords.join(command) : command.to_s
+      command_string = managed_command(command)
       args = [
         "new-session", "-d",
         "-s", @name,
@@ -132,6 +146,29 @@ module Hive
       nil
     end
 
+    # Query pane liveness and tmux's retained exit status in one command so a
+    # fallback decision cannot accidentally combine observations from two
+    # different panes.  `remain-on-exit` is enabled by `managed_command`.
+    # A dead pane without a parseable status is intentionally represented as
+    # unknown (`exit_status: nil`) and callers must fail closed.
+    def pane_state
+      out = run_tmux(
+        "display-message", "-t", target_pane, "-p",
+        '#{pane_dead}|#{pane_dead_status}|#{pane_pid}'
+      ).strip
+      dead, raw_status, raw_pid = out.split("|", 3)
+      state = case dead
+              when "0" then :running
+              when "1" then :dead
+              else :unknown
+              end
+      PaneState.new(
+        state: state,
+        exit_status: state == :dead ? Integer(raw_status, exception: false) : nil,
+        pid: Integer(raw_pid, exception: false)
+      )
+    end
+
     def kill_session
       run_tmux("kill-session", "-t", @name)
       true
@@ -141,6 +178,24 @@ module Hive
 
     private
 
+    # Run a tiny setup shell in the pane, set remain-on-exit for that pane,
+    # then `exec` the requested command.  The exec keeps pane_pid pointing to
+    # Claude rather than a long-lived shell wrapper, which is required by the
+    # task-lock/orphan-cleanup contract.
+    def managed_command(command)
+      argv = if command.is_a?(Array)
+               command
+             else
+               [ "bash", "-lc", command.to_s ]
+             end
+      Shellwords.join([
+        "bash", "-lc",
+        'tmux set-window-option -t "$TMUX_PANE" remain-on-exit on; exec "$@"',
+        "hive-tmux-managed-pane",
+        *argv
+      ])
+    end
+
     def prompt_submit_delay_sec
       Float(ENV.fetch("HIVE_TMUX_PROMPT_SUBMIT_DELAY_SEC", DEFAULT_PROMPT_SUBMIT_DELAY_SEC.to_s))
     end
